Bug 142045 - Segmentation fault on conversion to TIFF (possible libtiff bug)
Segmentation fault on conversion to TIFF (possible libtiff bug)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ImageMagick (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
https://rhn.redhat.com/network/errata...
:
Depends On:
Blocks: 142041
  Show dependency treegraph
 
Reported: 2004-12-06 16:54 EST by Brian Carp
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 05:02:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Carp 2004-12-06 16:54:35 EST
ImageMagick tools appear to be generating segmentation faults with the conversion 
of images to TIFF.  I have only noticed this problem since the latest upgrade to the 
ImageMagick suite as of Oct 20, 2004 and the libtiff package on the Oct 22 (see URL, 
above).  For example, running 'covert' on a valid JPEG or PNG file to the standard 
output in TIFF format (using 'tif:-') will result in a segmentation fault.  Using a simple 
filename ('test.tif') will succeed, but running 'identify' on the newly created file results 
in a segmentation fault.

For some reason, converting first to PNG and then to TIFF (through actual files) 
appears to work successfully, even though direct conversion from a JPEG or 
conversion through a pipe will fail.

Version-Release number of selected component (if applicable):
ImageMagick-5.5.6-6, libtiff-3.5.7-20.1

How reproducible:
Always

Steps to Reproduce:
1. Locate a valid image file, e.g. test.jpg or test.png
2. convert test.png tif:- > /dev/null
3. convert test.jpg test.tif

Actual Results:  Segmentation fault (core dumped)

Expected Results:  Valid image file created after converstion, no segmentation fault, 
and no errors printed to the standard error.
Comment 1 Brian Carp 2004-12-14 10:25:13 EST
Segmentation fault still occurs after update following latest security advisory 
regarding ImageMagick on 8 Dec, 2004 (and the imlib libraries two days later).

References:
RHSA-2004:636
https://rhn.redhat.com/network/errata/details/index.pxt?eid=2503

RHSA-2004:651
https://rhn.redhat.com/network/errata/details/index.pxt?eid=2508
Comment 2 Andreas Rogge 2005-02-01 07:10:46 EST
I can confirm the problem still exists with ImageMagick-6.1.3-7
We're using RHEL 3 AS here.
Comment 3 Mark J. Cox (Product Security) 2005-03-23 05:02:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-320.html

Note You need to log in before you can comment on or make changes to this bug.